---
title: Symbol.keyFor()
slug: Web/JavaScript/Reference/Global_Objects/Symbol/keyFor
tags:
  - ECMAScript 2015
  - JavaScript
  - Method
  - Symbol
---
<div>{{JSRef}}</div>

<p>The <strong><code>Symbol.keyFor(sym)</code></strong> method retrieves a shared symbol key from the global symbol registry for the given symbol.</p>

<div>{{EmbedInteractiveExample("pages/js/symbol-keyfor.html")}}</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">Symbol.keyFor(<var>sym</var>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>sym</var></code></dt>
 <dd>Symbol, required. The symbol to find a key for.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A string representing the key for the given symbol if one is found on the global registry; otherwise, {{jsxref("undefined")}}.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_keyFor">Using keyFor()</h3>

<pre class="brush: js notranslate">var globalSym = Symbol.for('foo'); // create a new global symbol
Symbol.keyFor(globalSym); // "foo"

var localSym = Symbol();
Symbol.keyFor(localSym); // undefined

// well-known symbols are not symbols registered
// in the global symbol registry
Symbol.keyFor(Symbol.iterator) // undefined
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-symbol.keyfor', 'Symbol.keyFor')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.Symbol.keyFor")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Symbol.for()")}}</li>
</ul>
